Skip to main content
GET
/
v4
/
core
/
disconnect-requests
List
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/disconnect-requests \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/disconnect-requests"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/disconnect-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "disconnect_requests": [
    {
      "rootfi_id": 123,
      "rootfi_company_id": 123,
      "rootfi_created_at": "<string>",
      "company_name": {},
      "requester_ip": {},
      "resolved_by_user_id": {},
      "resolved_by": {
        "rootfi_id": 123,
        "email": "<string>",
        "name": {}
      },
      "resolved_at": {}
    }
  ]
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Query Parameters

status
enum<string>
Available options:
PENDING,
CANCELLED,
APPROVED,
REJECTED

Response

200 - application/json
disconnect_requests
object[]
required